darcs

Issue 1887 `darcs add --list-option` merges last option and first file

Title `darcs add --list-option` merges last option and first file
Priority bug Status resolved
Milestone 2.5.0 Resolved in 2.5.0
Superseder Nosy List ashmoran, dmitry.kurochkin, kowey, mornfall
Assigned To mornfall
Topics UI

Created on 2010-07-11.12:10:30 by ashmoran, last changed 2010-07-13.08:37:22 by kowey.

Messages
msg11710 (view) Author: ashmoran Date: 2010-07-11.12:10:29
Darcs zsh completion is very slightly broken because `darcs add --list-
option` doesn't separate the last list option and the first file.  eg, 
output on my machine is:

...

--no-prehook
--prompt-prehook
--run-prehookGemfile.lock
tmp
tmp/test
...

Gemfile.lock is a file in this case.
msg11722 (view) Author: kowey Date: 2010-07-12.13:40:43
I think this should be a candidate for Darcs 2.5.
I suspect it's a regression introduced by my
Resolve issue1741: fix --list-options when option has multiple names.
msg11726 (view) Author: mornfall Date: 2010-07-12.15:16:24
The following patch updated issue issue1887 with status=resolved;resolvedin=2.6.0 HEAD

* Resolve issue1887: add a missing newline to --list-options output. 
Ignore-this: 912b18e8f89be19d186332f5f98a8083
msg11727 (view) Author: mornfall Date: 2010-07-12.15:18:26
The following patch updated issue issue1887 with status=resolved;resolvedin=2.5.0 CURRENT

* Resolve issue1887: add a missing newline to --list-options output. 
Ignore-this: 912b18e8f89be19d186332f5f98a8083
msg11736 (view) Author: ashmoran Date: 2010-07-13.00:33:12
Thanks for fixing this so fast!
History
Date User Action Args
2010-07-11 12:10:30ashmorancreate
2010-07-12 13:40:44koweysetstatus: unknown -> has-patch
topic: + UI
nosy: + kowey, mornfall
messages: + msg11722
priority: bug
assignedto: mornfall
milestone: 2.5.0
2010-07-12 15:16:25mornfallsetstatus: has-patch -> resolved
messages: + msg11726
resolvedin: 2.8.0
2010-07-12 15:18:27mornfallsetmessages: + msg11727
resolvedin: 2.8.0 -> 2.5.0
2010-07-13 00:33:13ashmoransetstatus: resolved -> unknown
messages: + msg11736
2010-07-13 08:37:22koweysetstatus: unknown -> resolved